from django.urls import path, re_path
from . import views
from django.contrib.auth import views as auth_views
# from .views import DownloadFileView

urlpatterns = [
    path('', views.main_page, name='main_page'),
    path('home/', views.home, name='home'),
    path('make_order/', views.make_order, name='make_order'),
    path('create3d/', views.create3d, name='create3d'),
    path('view_orders/', views.view_orders, name='view_orders'),
    path('storage/', views.storage, name='storage'),
    path('profile/', views.profile, name='profile'),
    path('register/', views.register, name='register'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),
    path('manager_dashboard/', views.manager_dashboard, name='manager_dashboard'),
    path('storage/delete/<int:item_id>/', views.delete_item, name='delete_item'),
    path('storage/upload/', views.upload_file, name='upload_file'),
    path('storage/download/<int:item_id>/', views.download_item, name='download_item'),
    path('create_order/', views.create_order, name='create_order'),
    path('archive_order/<int:order_id>/', views.archive_order, name='archive_order'),
    path('view_archive/', views.view_archive, name='view_archive'),
    path('api/orders/', views.order_list_api, name='order_list_api'),
    path('download-file/<path:file_name>/', views.download_file, name='download_file'),
    path('api/mark-order-processed/<int:order_id>/', views.mark_order_as_processed, name='mark_order_as_processed'),
    path('cancel_order/<int:order_id>/', views.cancel_order, name='cancel_order'),
    path('api/orders/by-username/<str:username>/', views.order_list_by_username_api, name='order_list_by_username_api'),
    path('api/users/<str:username>/', views.check_user_exists, name='check_user_exists'),
    # path('serve-file/<str:file_name>/', views.serve_file, name='serve_file'),
    # re_path(r'^download-file/(?P<path>.*)$', views.download_file, name='download_file'),
    # re_path(r'^serve-file/(?P<path>.*)$', views.download_file, name='download_file')

]
